---
title: WebGLRenderingContext.depthMask()
slug: Web/API/WebGLRenderingContext/depthMask
tags:
  - API
  - Method
  - Reference
  - WebGL
  - WebGLRenderingContext
---
<div>{{APIRef("WebGL")}}</div>

<p>The <strong><code>WebGLRenderingContext.depthMask()</code></strong> method of the <a href="/en-US/docs/Web/API/WebGL_API">WebGL API</a> sets whether writing into the depth buffer is enabled or disabled.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">void <var>gl</var>.depthMask(<var>flag</var>);
</pre>

<h3 id="Parameters">Parameters</h3>

<dl>
 <dt><code>flag</code></dt>
 <dd>A {{domxref("GLboolean")}} specifying whether or not writing into the depth buffer is enabled. Default value: <code>true</code>, meaning that writing is enabled.</dd>
</dl>

<h3 id="Return_value">Return value</h3>

<p>None.</p>

<h2 id="Examples">Examples</h2>

<pre class="brush: js">gl.depthMask(false);
</pre>

<p>To get the current depth mask, query the <code>DEPTH_WRITEMASK</code> constant which returns a {{jsxref("Boolean")}}.</p>

<pre class="brush: js">gl.getParameter(gl.DEPTH_WRITEMASK);
// false
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('WebGL', "#5.14.3", "depthMask")}}</td>
   <td>{{Spec2('WebGL')}}</td>
   <td>Initial definition.</td>
  </tr>
  <tr>
   <td>{{SpecName('OpenGL ES 2.0', "glDepthMask.xml", "glDepthMask")}}</td>
   <td>{{Spec2('OpenGL ES 2.0')}}</td>
   <td>Man page of the OpenGL API.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p class="hidden">The compatibility table in this page is generated from structured data. If you'd like to contribute to the data, please check out <a href="https://github.com/mdn/browser-compat-data">https://github.com/mdn/browser-compat-data</a> and send us a pull request.</p>

<p>{{Compat("api.WebGLRenderingContext.depthMask")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{domxref("WebGLRenderingContext.colorMask()")}}</li>
 <li>{{domxref("WebGLRenderingContext.stencilMask()")}}</li>
</ul>
